package com.gic.haoban.manage.web.qo.chat;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-10-10 16:14:12
 */
public class GroupChatActivityDataOverviewReq implements Serializable {

    private static final long serialVersionUID = -7878927289202064971L;

    /**
     * 是否返回总数
     */
    private Boolean returnTotalNum;

    /**
     * 页编号
     */
    private Integer pageNum;

    /**
     * 页大小
     */
    private Integer pageSize;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 活动id
     */
    private String chatActivityId;

    public Boolean getReturnTotalNum() {
        return returnTotalNum;
    }

    public void setReturnTotalNum(Boolean returnTotalNum) {
        this.returnTotalNum = returnTotalNum;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(String chatActivityId) {
        this.chatActivityId = chatActivityId;
    }
}
